diff --git a/src/fu-engine.c b/src/fu-engine.c
index 6017d386bb..acacebc342 100644
--- a/src/fu-engine.c
+++ b/src/fu-engine.c
@@ -1117,18 +1117,15 @@ fu_engine_check_requirement_firmware (FuEngine *self, XbNode *req,
 		const gchar *version = fu_device_get_version_bootloader (device_actual);
 		if (!fu_engine_require_vercmp (req, version, &error_local)) {
 			if (g_strcmp0 (xb_node_get_attr (req, "compare"), "ge") == 0) {
-				g_set_error (error,
-					     FWUPD_ERROR,
-					     FWUPD_ERROR_INVALID_FILE,
-					     "Not compatible with bootloader version %s, requires >= %s",
+				g_debug ("not compatible with bootloader version %s, requires >= %s",
 					     version, xb_node_get_attr (req, "version"));
 			} else {
-				g_set_error (error,
-					     FWUPD_ERROR,
-					     FWUPD_ERROR_INVALID_FILE,
-					     "Not compatible with bootloader version: %s",
-					     error_local->message);
+				g_debug ("not compatible with bootloader version: %s", error_local->message);
 			}
+			g_set_error_literal (error,
+					     FWUPD_ERROR,
+					     FWUPD_ERROR_NOT_SUPPORTED,
+					     "No compatible bootloader firmware");
 			return FALSE;
 		}
 		return TRUE;
